--- title: "Delete Key Value Pair" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/cache/delete-key-value/ description: "This API enables you to delete the key value of a cache item from a segment in the cache." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Delete a Key-Value Pair ### Description This API enables you to delete an existing key-value pair from a specified [cache segment](https://docs.catalyst.zoho.com/en/cloud-scale/help/cache/introduction/). The segment is referred by its unique ID. The key represents the attribute and the value is the data of the cache item. ### Request Details #### Request URL `DELETE` {api-domain}/baas/v1/project/{project_id}/segment/{segment_id}/cache?cacheKey={cache_key} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **segment_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/cache/implementation/#create-a-segment) of the cache segment #### Query Parameters - **cache_key** (String): The [unique key](https://docs.catalyst.zoho.com/en/cloud-scale/help/cache/key-concepts/#cache-items) in a segment whose value needs to be deleted. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.cache.DELETE ### Response Details The response will return the details of the deleted cache item, including the `cache_name`, `cache_value` and `expires_in`. Since the cache entry has been removed, both `cache_value` and expiry fields will return as null. **Sample Request** ```bash curl -X DELETE \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/segment/31000000006023/cache?cacheKey=counter \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "cache_name": "NEW", "cache_value": null, "project_details": { "project_name": "ShipmentTracking", "id": 4000000006007, "project_type": "Live" }, "segment_details": { "segment_name": "MailCounters", "id": 31000000006023 }, "expires_in": null, "expiry_in_hours": null, "ttl_in_milliseconds": null } } ``` ### SDK Documentation [Delete Data from Cache - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/cache/delete-key-value-pair)

[Delete Data from Cache - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/cache/delete-key-value-pair)

[Delete Data from Cache - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/cache/delete-key-value-pair)